package com.programmez.opengl.exercice1;

import android.app.Activity;
import android.opengl.GLSurfaceView;
import android.os.Bundle;

public class ExampleUnOpenGL extends Activity {

	private GLSurfaceView mCubeSurfaceView;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		mCubeSurfaceView = new CubeSurfaceView(this);
		setContentView(mCubeSurfaceView);
		mCubeSurfaceView.setFocusableInTouchMode(true);
		mCubeSurfaceView.requestFocus();
	}

	@Override
	protected void onPause() {
		super.onPause();
		mCubeSurfaceView.onPause();
	}

	@Override
	protected void onResume() {
		super.onResume();
		mCubeSurfaceView.onResume();
	}
}
